problems with the style of simple markers in pointlayers in QGIS 2.10 (Pisa) for OSX Useres

2015-09-10 03:21 AM - Marcel Stadelmann

Status: Closed

Priority: Normal

Assignee:

Category: OsX UI

Affected QGIS version:2.10.1 Regression?: No

Operating System: OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 21391

Description

In QGIS 2.10.1 the styles of simple markers in pointlayers can't be changed anymore. For example it isn't possible to change the

frame/border color of a point symbol. It appears just a text: "Dieser Layer hat keine änderbaren Eigenschaften" (in english something like:

This Layer has no changeable characteristics).

History

#1 - 2015-09-12 02:06 AM - Saber Razmjooei

- Category set to OsX UI

Could you test in QGIS master?

#2 - 2015-09-12 02:06 AM - Saber Razmjooei

- Status changed from Open to Feedback

#3 - 2015-10-08 02:18 AM - Julien Iwema

- File Screenshot.png added

This issue still exists with Master (QGIS 2.11 downloaded 7 October 15 from Dakota Carto) on Lion 10.7.5 : unable to stylize vector layer.

Thanks

#4 - 2015-10-08 02:45 AM - Julien Iwema

- Target version set to Version 2.12

#5 - 2015-10-08 05:25 AM - Nyall Dawson

Can you try removing (or renaming) your .qgis2 preferences folder and retest? It's possible this is caused by a bad plugin.

#6 - 2015-10-08 07:17 AM - Julien Iwema

Thank you.

I have removed the files located here :

Users/julien/Library/Preferences/org.qgis.QGIS2.plist

Users/julien/Library/Preferences/org.qgis.QGIS2.plist.lockfile

and I still cannot modify style of vector layers.
#7 - 2015-10-09 03:53 PM - Larry Shaffer

Hi Julien,

The folder Nyall was referring to is located at ~/.qgis2, but because it is prefixed with a '.' it is not visible by default in the Finder. You can rename it

temporarily by issuing the following commands in Terminal (first ensure QGIS is not running):

mv ~/.qgis2 ~/.qgis2_off

Then relaunch QGIS. This will create a new, fresh folder at ~/.qgis2, which will be devoid of any previous (possibly problematic) plugins you may have

installed.

To restore the older renamed folder after testing, do (first ensure QGIS is not running):

mv ~/.qgis2 ~/.qgis2_test

mv ~/.qgis2_off ~/.qgis2

#8 - 2015-10-12 02:25 AM - Julien Iwema

Hi Larry,

Thank you for your answer. I’ve tried to rename the folder and I think it did work well (it has removed the plugins). But sadly it didn’t fix the vector issue.

Do you know if we are only a few of mac users encountering this issue (maybe because of particular settings) or if it can be a "compatibility issue" with

some versions of OS X ?

Thanks again

#9 - 2015-10-12 03:06 PM - Larry Shaffer

Hmm. I am not able to reproduce this with latest Mac nightly on 10.9 or 10.10 using a blank project and loading a Natural Earth places point layer.

Can anyone who is seeing this error share a stripped-down project and data file?

#10 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

#11 - 2015-12-21 12:48 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

likely a local issue(?), please reopen if necessary.

Files
